#include "gpio.h"
#include "rcc.h"
// Tabulka 40 bytu ve flash, kód to zkrátí i zrychlí.
static const GpioAssocPort cPortTab[] = {
  {TGPIOA, TRCC_AHBENR_GPIOAEN},
  {TGPIOB, TRCC_AHBENR_GPIOBEN},
  {TGPIOC, TRCC_AHBENR_GPIOCEN},
  {TGPIOD, TRCC_AHBENR_GPIODEN},
  {TGPIOF, TRCC_AHBENR_GPIOFEN},
};

GpioClass::GpioClass (GpioPortNum const port, const uint32_t no, const GPIOMode_TypeDef type) :
  io(cPortTab[port].portAdr), pos(1UL << no), num(no) {
  // Povol hodiny
  RCC->AHBENR.VAL |= cPortTab[port].clkMask;
  // A nastav pin (pořadí dle ST knihovny).
  setSpeed (GPIO_Speed_Level_3);
  setOType (GPIO_OType_PP);
  setMode  (type);
  setPuPd  (GPIO_PuPd_NOPULL);
}


